part of itwo_util;

void iLog(String message, {String tag = "iTwo", int framesIndex = 1,bool stack=true}) {
  bool kReleaseMode = bool.fromEnvironment('dart.vm.product', defaultValue: false);
  bool kProfileMode = bool.fromEnvironment('dart.vm.profile', defaultValue: false);
  if (kReleaseMode || kProfileMode) return;
  if(stack){
    var chain = Chain.current();
    var stackInfo = chain.traces[0].frames[framesIndex].toString();
    developer.log('$tag  ----> $stackInfo');
  }
  developer.log("$message");
}

extension ILog on String {
  void log({String tag = "iTwo"}) {
    iLog(this, tag: tag, framesIndex: 2);
  }
}
