import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

/// 常用的 widget


class Space extends SizedBox {
  const Space.vertical({double spacerHorizontal = 10}) :super(height: spacerHorizontal);
  const Space.horizontal({double spacerVertical = 10}) :super(width: spacerVertical);
}

// Shimmer shimmer = Shimmer.fromColors(child: Container(), baseColor: Colors.grey.shade300, highlightColor: Colors.grey.shade100);

// Shimmer shimmerLis({int itemCount = 10}) => Shimmer.fromColors(child: ListView.builder(itemCount: itemCount, itemBuilder: (c, i) => _shimmerChild), baseColor: Colors.grey.shade300, highlightColor: Colors.grey.shade100);

Widget _shimmerChild = Padding(
  padding: const EdgeInsets.only(top: 10,left: 15,right: 15),
  child: Row(
    crossAxisAlignment: CrossAxisAlignment.start,
    children: [
      Container(width: 64, height: 64, color: Colors.white),
      const Padding(padding: EdgeInsets.symmetric(horizontal: 8.0)),
      Expanded(
          child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: <Widget>[
          Container(width: double.infinity, height: 8.0, color: Colors.white),
          const Padding(padding: EdgeInsets.symmetric(vertical: 5)),
          Container(width: double.infinity, height: 8.0, color: Colors.white),
          const Padding(padding: EdgeInsets.symmetric(vertical: 5)),
          Container(width: 40.0, height: 8.0, color: Colors.blue[50]),
        ],
      ))
    ],
  ),
);
